{
    attributes = (
        {
            columnName = "C_PAYS"; 
            externalType = VARCHAR2; 
            name = cPays; 
            valueClassName = NSString; 
            valueType = S; 
        }, 
        {
            columnName = "CODE_ISO"; 
            externalType = VARCHAR2; 
            name = codeIso; 
            valueClassName = NSString; 
            valueType = S; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_DEB_VAL"; 
            externalType = DATE; 
            name = dDebVal; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_FIN_VAL"; 
            externalType = DATE; 
            name = dFinVal; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "L_NATIONALITE"; 
            externalType = VARCHAR2; 
            name = lNationalite; 
            valueClassName = NSString; 
            valueType = S; 
        }, 
        {
            columnName = "LC_PAYS"; 
            externalType = VARCHAR2; 
            name = lcPays; 
            valueClassName = NSString; 
            valueType = S; 
        }, 
        {
            columnName = "LL_PAYS"; 
            externalType = VARCHAR2; 
            name = llPays; 
            valueClassName = NSString; 
            valueType = S; 
        }
    ); 
    attributesUsedForLocking = (
        lNationalite, 
        codeIso, 
        lcPays, 
        llPays, 
        dModification, 
        dFinVal, 
        cPays, 
        dCreation, 
        dDebVal
    ); 
    className = "org.cocktail.application.serveur.eof.EOPays"; 
    classProperties = (
        lNationalite, 
        lcPays, 
        llPays, 
        dModification, 
        dFinVal, 
        dCreation, 
        dDebVal, 
        cPays, 
        codeIso
    ); 
    externalName = "GRHUM.PAYS"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            lNationalite, 
            lcPays, 
            llPays, 
            dModification, 
            dFinVal, 
            dCreation, 
            dDebVal, 
            codeIso, 
            cPays
        ); 
        "_javaClientClassName" = "org.cocktail.application.client.eof.EOPays"; 
    }; 
    isReadOnly = Y; 
    name = "ca_Pays"; 
    primaryKeyAttributes = (cPays); 
}
